Browse Source

📝 Index Mobo Rev03 => Opulo Lumen Rev3

Scott Lahteine 1 year ago
parent
commit
f5488f96cc

+ 1
- 1
.github/workflows/test-builds.yml View File

@@ -100,7 +100,7 @@ jobs:
100 100
         - REMRAM_V1
101 101
         - BTT_SKR_SE_BX
102 102
         - chitu_f103
103
-        - Index_Mobo_Rev03
103
+        - Opulo_Lumen_REV3
104 104
 
105 105
         # Put lengthy tests last
106 106
 

+ 1
- 1
Marlin/src/core/boards.h View File

@@ -413,7 +413,7 @@
413 413
 #define BOARD_ANET_ET4P               4232  // ANET ET4P V1.x (STM32F407VG)
414 414
 #define BOARD_FYSETC_CHEETAH_V20      4233  // FYSETC Cheetah V2.0
415 415
 #define BOARD_TH3D_EZBOARD_V2         4234  // TH3D EZBoard v2.0
416
-#define BOARD_INDEX_REV03             4235  // Index PnP Controller REV03 (STM32F407VE/VG)
416
+#define BOARD_OPULO_LUMEN_REV3        4235  // Opulo Lumen PnP Controller REV3 (STM32F407VE/VG)
417 417
 #define BOARD_MKS_ROBIN_NANO_V1_3_F4  4236  // MKS Robin Nano V1.3 and MKS Robin Nano-S V1.3 (STM32F407VE)
418 418
 #define BOARD_MKS_EAGLE               4237  // MKS Eagle (STM32F407VE)
419 419
 #define BOARD_ARTILLERY_RUBY          4238  // Artillery Ruby (STM32F401RC)

+ 2
- 2
Marlin/src/pins/pins.h View File

@@ -687,8 +687,8 @@
687 687
   #include "stm32f4/pins_MKS_MONSTER8.h"        // STM32F4                                env:mks_monster8 env:mks_monster8_usb_flash_drive env:mks_monster8_usb_flash_drive_msc
688 688
 #elif MB(TH3D_EZBOARD_V2)
689 689
   #include "stm32f4/pins_TH3D_EZBOARD_V2.h"     // STM32F4                                env:TH3D_EZBoard_V2
690
-#elif MB(INDEX_REV03)
691
-  #include "stm32f4/pins_INDEX_REV03.h"         // STM32F4                                env:Index_Mobo_Rev03
690
+#elif MB(OPULO_LUMEN_REV3)
691
+  #include "stm32f4/pins_OPULO_LUMEN_REV3.h"    // STM32F4                                env:Opulo_Lumen_REV3
692 692
 #elif MB(MKS_ROBIN_NANO_V1_3_F4)
693 693
   #include "stm32f4/pins_MKS_ROBIN_NANO_V1_3_F4.h" // STM32F4                             env:mks_robin_nano_v1_3_f4
694 694
 #elif MB(MKS_EAGLE)

Marlin/src/pins/stm32f4/pins_INDEX_REV03.h → Marlin/src/pins/stm32f4/pins_OPULO_LUMEN_REV3.h View File

@@ -22,15 +22,15 @@
22 22
 #pragma once
23 23
 
24 24
 /**
25
- * STM32F407VET6 on Index PnP Mobo Rev03
26
- * Website - https://indexmachines.io/
25
+ * STM32F407VET6 on Opulo Lumen PnP Rev3
26
+ * Website - https://opulo.io/
27 27
  */
28 28
 
29 29
 #define ALLOW_STM32DUINO
30 30
 #include "env_validate.h"
31 31
 
32
-#define BOARD_INFO_NAME      "Index Mobo Rev03"
33
-#define DEFAULT_MACHINE_NAME "Index Pick and Place"
32
+#define BOARD_INFO_NAME      "Opulo Lumen REV3"
33
+#define DEFAULT_MACHINE_NAME "Opulo Pick-and-Place"
34 34
 
35 35
 /**
36 36
  * By default, the extra stepper motor configuration is:

buildroot/share/PlatformIO/boards/marlin_index_mobo_rev03.json → buildroot/share/PlatformIO/boards/marlin_opulo_lumen_rev3.json View File


+ 4
- 0
buildroot/share/PlatformIO/scripts/generic_create_variant.py View File

@@ -21,6 +21,10 @@ if pioutil.is_pio_build():
21 21
 
22 22
 	from platformio.package.meta import PackageSpec
23 23
 	platform_packages = env.GetProjectOption('platform_packages')
24
+
25
+	# Remove all tool items from platform_packages
26
+	platform_packages = [x for x in platform_packages if not x.startswith("platformio/tool-")]
27
+
24 28
 	if len(platform_packages) == 0:
25 29
 		framewords = {
26 30
 			"Ststm32Platform": "framework-arduinoststm32",

+ 0
- 13
buildroot/tests/Index_Mobo_Rev03 View File

@@ -1,13 +0,0 @@
1
-#!/usr/bin/env bash
2
-#
3
-# Build tests for Index_Mobo_Rev03
4
-#
5
-
6
-# exit on first failure
7
-set -e
8
-
9
-use_example_configs Index/REV_03
10
-exec_test $1 $2 "Index REV03 Pick and Place" "$3"
11
-
12
-# cleanup
13
-restore_configs

+ 13
- 0
buildroot/tests/Opulo_Lumen_REV3 View File

@@ -0,0 +1,13 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for Opulo_Lumen_REV3
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+use_example_configs Opulo/Lumen_REV3
10
+exec_test $1 $2 "Opulo Lumen REV3 Pick-and-Place" "$3"
11
+
12
+# cleanup
13
+restore_configs

+ 3
- 3
ini/stm32f4.ini View File

@@ -94,11 +94,11 @@ build_flags       = ${stm32_variant.build_flags}
94 94
                     -DUSBD_USE_CDC_COMPOSITE -DUSE_USB_FS
95 95
 
96 96
 #
97
-# STM32F407VET6 Index Mobo Rev 03
97
+# STM32F407VET6 Opulo Lumen REV3
98 98
 #
99
-[env:Index_Mobo_Rev03]
99
+[env:Opulo_Lumen_REV3]
100 100
 extends           = stm32_variant
101
-board             = marlin_index_mobo_rev03
101
+board             = marlin_opulo_lumen_rev3
102 102
 build_flags       = ${stm32_variant.build_flags}
103 103
   -DARDUINO_BLACK_F407VE
104 104
   -DUSBD_USE_CDC_COMPOSITE -DUSE_USB_FS

+ 7
- 6
platformio.ini View File

@@ -263,12 +263,13 @@ default_src_filter = +<src/*> -<src/config> -<src/HAL> +<src/HAL/shared>
263 263
 # Default values apply to all 'env:' prefixed environments
264 264
 #
265 265
 [env]
266
-framework     = arduino
267
-extra_scripts = ${common.extra_scripts}
268
-build_flags   = ${common.build_flags}
269
-lib_deps      = ${common.lib_deps}
270
-monitor_speed = 250000
271
-monitor_flags =
266
+framework         = arduino
267
+extra_scripts     = ${common.extra_scripts}
268
+build_flags       = ${common.build_flags}
269
+lib_deps          = ${common.lib_deps}
270
+platform_packages = platformio/tool-dfuutil@^1.11.0
271
+monitor_speed     = 250000
272
+monitor_flags     =
272 273
   --quiet
273 274
   --echo
274 275
   --eol

Loading…
Cancel
Save